# wallet_getCrossChainStatus_v0

> For the complete documentation index, see [llms.txt](/docs/llms.txt).

POST https://api.g.alchemy.com/v2/{apiKey}

This method is used to get the status of a transaction (same-chain or cross-chain).

Reference: https://www.alchemy.com/docs/wallets/api-reference/smart-wallets/wallet-api-endpoints/wallet-get-cross-chain-status-v-0

## Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| callId | string | Yes |  |

## Result

**getCrossChainStatusResponse** (object)

## Example

### Request

```json
{
  "jsonrpc": "2.0",
  "method": "wallet_getCrossChainStatus_v0",
  "params": [
    "0x010100066d00682d7e7c9fa6f71c28c31141a11ac9eb2bdbe898ddbd42a4f7085f8bb3380ba75dd9231a386e24fe5a84777217c907391e983b5b0f78a4a9d0fd1c8631dd22c00000000000000000000000000000000000000000000000000000000000a4b1000000000000000000000000000000000000000000000000000000000000000102a8073568c8fad3edf15f70c3471a7fff18e1d57c650a501ab47f57a5c1f0e39"
  ],
  "id": 1
}
```

### Response

```json
{
  "jsonrpc": "2.0",
  "result": {
    "type": "cross-chain",
    "id": "0x010100066d00682d7e7c9fa6f71c28c31141a11ac9eb2bdbe898ddbd42a4f7085f8bb3380ba75dd9231a386e24fe5a84777217c907391e983b5b0f78a4a9d0fd1c8631dd22c00000000000000000000000000000000000000000000000000000000000a4b1000000000000000000000000000000000000000000000000000000000000000102a8073568c8fad3edf15f70c3471a7fff18e1d57c650a501ab47f57a5c1f0e39",
    "status": 120,
    "originTransaction": {
      "chainId": "0xa4b1",
      "status": 200,
      "receipt": {
        "status": "0x1",
        "blockHash": "0x7c6f2f548c0ad4434dfb64f49a810bc795dadcd4cbec948bf8d4ae81a10fed5e",
        "blockNumber": "0x8ba5f79",
        "gasUsed": "0x33c65",
        "transactionHash": "0x8ec28074a461102e4dbe43cb4aa9fed3e8c1274f1f1b0d5f6a0919ce7e20f517",
        "logs": []
      }
    },
    "destinationTransaction": {
      "chainId": "0x1",
      "status": 100
    }
  },
  "id": 1
}
```

## Code Examples

### cURL

```bash
curl --request POST \
  --url https://api.g.alchemy.com/v2/docs-demo \
  --header 'Content-Type: application/json' \
  --data '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "wallet_getCrossChainStatus_v0",
  "params": [
    "0x010100066d00682d7e7c9fa6f71c28c31141a11ac9eb2bdbe898ddbd42a4f7085f8bb3380ba75dd9231a386e24fe5a84777217c907391e983b5b0f78a4a9d0fd1c8631dd22c00000000000000000000000000000000000000000000000000000000000a4b1000000000000000000000000000000000000000000000000000000000000000102a8073568c8fad3edf15f70c3471a7fff18e1d57c650a501ab47f57a5c1f0e39"
  ]
}'
```

### JavaScript

```javascript
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    jsonrpc: '2.0',
    id: 1,
    method: 'wallet_getCrossChainStatus_v0',
    params: [
      '0x010100066d00682d7e7c9fa6f71c28c31141a11ac9eb2bdbe898ddbd42a4f7085f8bb3380ba75dd9231a386e24fe5a84777217c907391e983b5b0f78a4a9d0fd1c8631dd22c00000000000000000000000000000000000000000000000000000000000a4b1000000000000000000000000000000000000000000000000000000000000000102a8073568c8fad3edf15f70c3471a7fff18e1d57c650a501ab47f57a5c1f0e39'
    ]
  })
};

fetch('https://api.g.alchemy.com/v2/docs-demo', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.g.alchemy.com/v2/docs-demo"

payload = {
    "jsonrpc": "2.0",
    "id": 1,
    "method": "wallet_getCrossChainStatus_v0",
    "params": ["0x010100066d00682d7e7c9fa6f71c28c31141a11ac9eb2bdbe898ddbd42a4f7085f8bb3380ba75dd9231a386e24fe5a84777217c907391e983b5b0f78a4a9d0fd1c8631dd22c00000000000000000000000000000000000000000000000000000000000a4b1000000000000000000000000000000000000000000000000000000000000000102a8073568c8fad3edf15f70c3471a7fff18e1d57c650a501ab47f57a5c1f0e39"]
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.g.alchemy.com/v2/docs-demo"

	payload := strings.NewReader("{\n  \"jsonrpc\": \"2.0\",\n  \"id\": 1,\n  \"method\": \"wallet_getCrossChainStatus_v0\",\n  \"params\": [\n    \"0x010100066d00682d7e7c9fa6f71c28c31141a11ac9eb2bdbe898ddbd42a4f7085f8bb3380ba75dd9231a386e24fe5a84777217c907391e983b5b0f78a4a9d0fd1c8631dd22c00000000000000000000000000000000000000000000000000000000000a4b1000000000000000000000000000000000000000000000000000000000000000102a8073568c8fad3edf15f70c3471a7fff18e1d57c650a501ab47f57a5c1f0e39\"\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
```

### Java

```java
HttpResponse<String> response = Unirest.post("https://api.g.alchemy.com/v2/docs-demo")
  .header("Content-Type", "application/json")
  .body("{\n  \"jsonrpc\": \"2.0\",\n  \"id\": 1,\n  \"method\": \"wallet_getCrossChainStatus_v0\",\n  \"params\": [\n    \"0x010100066d00682d7e7c9fa6f71c28c31141a11ac9eb2bdbe898ddbd42a4f7085f8bb3380ba75dd9231a386e24fe5a84777217c907391e983b5b0f78a4a9d0fd1c8631dd22c00000000000000000000000000000000000000000000000000000000000a4b1000000000000000000000000000000000000000000000000000000000000000102a8073568c8fad3edf15f70c3471a7fff18e1d57c650a501ab47f57a5c1f0e39\"\n  ]\n}")
  .asString();
```

### C#

```csharp
using RestSharp;


var options = new RestClientOptions("https://api.g.alchemy.com/v2/docs-demo");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddJsonBody("{\n  \"jsonrpc\": \"2.0\",\n  \"id\": 1,\n  \"method\": \"wallet_getCrossChainStatus_v0\",\n  \"params\": [\n    \"0x010100066d00682d7e7c9fa6f71c28c31141a11ac9eb2bdbe898ddbd42a4f7085f8bb3380ba75dd9231a386e24fe5a84777217c907391e983b5b0f78a4a9d0fd1c8631dd22c00000000000000000000000000000000000000000000000000000000000a4b1000000000000000000000000000000000000000000000000000000000000000102a8073568c8fad3edf15f70c3471a7fff18e1d57c650a501ab47f57a5c1f0e39\"\n  ]\n}", false);
var response = await client.PostAsync(request);

Console.WriteLine("{0}", response.Content);

```


## OpenRPC Method Specification

```yaml
name: wallet_getCrossChainStatus_v0
description: This method is used to get the status of a transaction (same-chain or cross-chain).
params:
  - name: callId
    required: true
    schema:
      type: string
      pattern: ^0x.*$
      errorMessage: Must be a valid hex string starting with '0x'
      description: The call ID returned from wallet_sendPreparedCalls
      title: callId
result:
  name: getCrossChainStatusResponse
  schema:
    anyOf:
      - type: object
        required:
          - type
          - id
          - status
        properties:
          type:
            type: string
            enum:
              - same-chain
          id:
            type: string
            pattern: ^0x.*$
            errorMessage: Must be a valid hex string starting with '0x'
          status:
            anyOf:
              - type: number
                title: Pending
                description: Batch has been received by the wallet but has not completed execution onchain
                enum:
                  - 100
              - type: number
                title: Preconfirmed
                description: Batch has been preconfirmed onchain
                enum:
                  - 110
              - type: number
                title: Preconfirmed Onchain Failure
                description: Batch reverted *completely* in a preconfirmation and only changes related to gas charge may have been included onchain
                enum:
                  - 115
              - type: number
                title: Preconfirmed Partial Onchain Failure
                description: Batch reverted *partially* in a preconfirmation and some changes related to batch calls may have been included onchain
                enum:
                  - 116
              - type: number
                title: Cross-Chain In Progress
                description: Origin confirmed, destination pending
                enum:
                  - 120
              - type: number
                title: Confirmed
                description: Batch has been included onchain without reverts, receipts array contains info of all calls
                enum:
                  - 200
              - type: number
                title: Offchain Failure
                description: Batch has not been included onchain and wallet will not retry
                enum:
                  - 400
              - type: number
                title: Cross-Chain Refunded
                description: Cross-chain operation failed and was refunded
                enum:
                  - 410
              - type: number
                title: Onchain Failure
                description: Batch reverted *completely* and only changes related to gas charge may have been included onchain
                enum:
                  - 500
              - type: number
                title: Partial Onchain Failure
                description: Batch reverted *partially* and some changes related to batch calls may have been included onchain
                enum:
                  - 600
          originTransaction:
            type: object
            required:
              - chainId
              - status
            properties:
              chainId:
                type: string
                pattern: ^0x.*$
                errorMessage: Must be a valid hex string starting with '0x'
              status:
                anyOf:
                  - type: number
                    title: Pending
                    description: Batch has been received by the wallet but has not completed execution onchain
                    enum:
                      - 100
                  - type: number
                    title: Preconfirmed
                    description: Batch has been preconfirmed onchain
                    enum:
                      - 110
                  - type: number
                    title: Preconfirmed Onchain Failure
                    description: Batch reverted *completely* in a preconfirmation and only changes related to gas charge may have been included onchain
                    enum:
                      - 115
                  - type: number
                    title: Preconfirmed Partial Onchain Failure
                    description: Batch reverted *partially* in a preconfirmation and some changes related to batch calls may have been included onchain
                    enum:
                      - 116
                  - type: number
                    title: Cross-Chain In Progress
                    description: Origin confirmed, destination pending
                    enum:
                      - 120
                  - type: number
                    title: Confirmed
                    description: Batch has been included onchain without reverts, receipts array contains info of all calls
                    enum:
                      - 200
                  - type: number
                    title: Offchain Failure
                    description: Batch has not been included onchain and wallet will not retry
                    enum:
                      - 400
                  - type: number
                    title: Cross-Chain Refunded
                    description: Cross-chain operation failed and was refunded
                    enum:
                      - 410
                  - type: number
                    title: Onchain Failure
                    description: Batch reverted *completely* and only changes related to gas charge may have been included onchain
                    enum:
                      - 500
                  - type: number
                    title: Partial Onchain Failure
                    description: Batch reverted *partially* and some changes related to batch calls may have been included onchain
                    enum:
                      - 600
              receipt:
                type: object
                required:
                  - logs
                  - status
                  - blockHash
                  - blockNumber
                  - gasUsed
                  - transactionHash
                properties:
                  logs:
                    type: array
                    items:
                      type: object
                      required:
                        - address
                        - data
                        - topics
                      properties:
                        address:
                          type: string
                          pattern: ^0x.*$
                          errorMessage: Must be a valid Ethereum address starting with '0x' (e.g., '0xa363219d7C0b8673df17529D469Db9eFF0f35D2A')
                        data:
                          type: string
                          pattern: ^0x.*$
                          errorMessage: Must be a valid hex string starting with '0x'
                        topics:
                          type: array
                          items:
                            type: string
                            pattern: ^0x.*$
                            errorMessage: Must be a valid hex string starting with '0x'
                  status:
                    type: string
                    pattern: ^0x.*$
                    errorMessage: Must be a valid hex string starting with '0x'
                    description: 0x1 for success, 0x0 for failure
                  blockHash:
                    type: string
                    pattern: ^0x.*$
                    errorMessage: Must be a valid hex string starting with '0x'
                  blockNumber:
                    type: string
                    pattern: ^0x.*$
                    errorMessage: Must be a valid hex string starting with '0x'
                  gasUsed:
                    type: string
                    pattern: ^0x.*$
                    errorMessage: Must be a valid hex string starting with '0x'
                  transactionHash:
                    type: string
                    pattern: ^0x.*$
                    errorMessage: Must be a valid hex string starting with '0x'
      - type: object
        required:
          - type
          - id
          - status
        properties:
          type:
            type: string
            enum:
              - cross-chain
          id:
            type: string
            pattern: ^0x.*$
            errorMessage: Must be a valid hex string starting with '0x'
          status:
            anyOf:
              - type: number
                title: Pending
                description: Batch has been received by the wallet but has not completed execution onchain
                enum:
                  - 100
              - type: number
                title: Preconfirmed
                description: Batch has been preconfirmed onchain
                enum:
                  - 110
              - type: number
                title: Preconfirmed Onchain Failure
                description: Batch reverted *completely* in a preconfirmation and only changes related to gas charge may have been included onchain
                enum:
                  - 115
              - type: number
                title: Preconfirmed Partial Onchain Failure
                description: Batch reverted *partially* in a preconfirmation and some changes related to batch calls may have been included onchain
                enum:
                  - 116
              - type: number
                title: Cross-Chain In Progress
                description: Origin confirmed, destination pending
                enum:
                  - 120
              - type: number
                title: Confirmed
                description: Batch has been included onchain without reverts, receipts array contains info of all calls
                enum:
                  - 200
              - type: number
                title: Offchain Failure
                description: Batch has not been included onchain and wallet will not retry
                enum:
                  - 400
              - type: number
                title: Cross-Chain Refunded
                description: Cross-chain operation failed and was refunded
                enum:
                  - 410
              - type: number
                title: Onchain Failure
                description: Batch reverted *completely* and only changes related to gas charge may have been included onchain
                enum:
                  - 500
              - type: number
                title: Partial Onchain Failure
                description: Batch reverted *partially* and some changes related to batch calls may have been included onchain
                enum:
                  - 600
          originTransaction:
            type: object
            required:
              - chainId
              - status
            properties:
              chainId:
                type: string
                pattern: ^0x.*$
                errorMessage: Must be a valid hex string starting with '0x'
              status:
                anyOf:
                  - type: number
                    title: Pending
                    description: Batch has been received by the wallet but has not completed execution onchain
                    enum:
                      - 100
                  - type: number
                    title: Preconfirmed
                    description: Batch has been preconfirmed onchain
                    enum:
                      - 110
                  - type: number
                    title: Preconfirmed Onchain Failure
                    description: Batch reverted *completely* in a preconfirmation and only changes related to gas charge may have been included onchain
                    enum:
                      - 115
                  - type: number
                    title: Preconfirmed Partial Onchain Failure
                    description: Batch reverted *partially* in a preconfirmation and some changes related to batch calls may have been included onchain
                    enum:
                      - 116
                  - type: number
                    title: Cross-Chain In Progress
                    description: Origin confirmed, destination pending
                    enum:
                      - 120
                  - type: number
                    title: Confirmed
                    description: Batch has been included onchain without reverts, receipts array contains info of all calls
                    enum:
                      - 200
                  - type: number
                    title: Offchain Failure
                    description: Batch has not been included onchain and wallet will not retry
                    enum:
                      - 400
                  - type: number
                    title: Cross-Chain Refunded
                    description: Cross-chain operation failed and was refunded
                    enum:
                      - 410
                  - type: number
                    title: Onchain Failure
                    description: Batch reverted *completely* and only changes related to gas charge may have been included onchain
                    enum:
                      - 500
                  - type: number
                    title: Partial Onchain Failure
                    description: Batch reverted *partially* and some changes related to batch calls may have been included onchain
                    enum:
                      - 600
              receipt:
                type: object
                required:
                  - logs
                  - status
                  - blockHash
                  - blockNumber
                  - gasUsed
                  - transactionHash
                properties:
                  logs:
                    type: array
                    items:
                      type: object
                      required:
                        - address
                        - data
                        - topics
                      properties:
                        address:
                          type: string
                          pattern: ^0x.*$
                          errorMessage: Must be a valid Ethereum address starting with '0x' (e.g., '0xa363219d7C0b8673df17529D469Db9eFF0f35D2A')
                        data:
                          type: string
                          pattern: ^0x.*$
                          errorMessage: Must be a valid hex string starting with '0x'
                        topics:
                          type: array
                          items:
                            type: string
                            pattern: ^0x.*$
                            errorMessage: Must be a valid hex string starting with '0x'
                  status:
                    type: string
                    pattern: ^0x.*$
                    errorMessage: Must be a valid hex string starting with '0x'
                    description: 0x1 for success, 0x0 for failure
                  blockHash:
                    type: string
                    pattern: ^0x.*$
                    errorMessage: Must be a valid hex string starting with '0x'
                  blockNumber:
                    type: string
                    pattern: ^0x.*$
                    errorMessage: Must be a valid hex string starting with '0x'
                  gasUsed:
                    type: string
                    pattern: ^0x.*$
                    errorMessage: Must be a valid hex string starting with '0x'
                  transactionHash:
                    type: string
                    pattern: ^0x.*$
                    errorMessage: Must be a valid hex string starting with '0x'
          destinationTransaction:
            type: object
            required:
              - chainId
              - status
            properties:
              chainId:
                type: string
                pattern: ^0x.*$
                errorMessage: Must be a valid hex string starting with '0x'
              status:
                anyOf:
                  - type: number
                    title: Pending
                    description: Batch has been received by the wallet but has not completed execution onchain
                    enum:
                      - 100
                  - type: number
                    title: Preconfirmed
                    description: Batch has been preconfirmed onchain
                    enum:
                      - 110
                  - type: number
                    title: Preconfirmed Onchain Failure
                    description: Batch reverted *completely* in a preconfirmation and only changes related to gas charge may have been included onchain
                    enum:
                      - 115
                  - type: number
                    title: Preconfirmed Partial Onchain Failure
                    description: Batch reverted *partially* in a preconfirmation and some changes related to batch calls may have been included onchain
                    enum:
                      - 116
                  - type: number
                    title: Cross-Chain In Progress
                    description: Origin confirmed, destination pending
                    enum:
                      - 120
                  - type: number
                    title: Confirmed
                    description: Batch has been included onchain without reverts, receipts array contains info of all calls
                    enum:
                      - 200
                  - type: number
                    title: Offchain Failure
                    description: Batch has not been included onchain and wallet will not retry
                    enum:
                      - 400
                  - type: number
                    title: Cross-Chain Refunded
                    description: Cross-chain operation failed and was refunded
                    enum:
                      - 410
                  - type: number
                    title: Onchain Failure
                    description: Batch reverted *completely* and only changes related to gas charge may have been included onchain
                    enum:
                      - 500
                  - type: number
                    title: Partial Onchain Failure
                    description: Batch reverted *partially* and some changes related to batch calls may have been included onchain
                    enum:
                      - 600
              receipt:
                type: object
                required:
                  - logs
                  - status
                  - blockHash
                  - blockNumber
                  - gasUsed
                  - transactionHash
                properties:
                  logs:
                    type: array
                    items:
                      type: object
                      required:
                        - address
                        - data
                        - topics
                      properties:
                        address:
                          type: string
                          pattern: ^0x.*$
                          errorMessage: Must be a valid Ethereum address starting with '0x' (e.g., '0xa363219d7C0b8673df17529D469Db9eFF0f35D2A')
                        data:
                          type: string
                          pattern: ^0x.*$
                          errorMessage: Must be a valid hex string starting with '0x'
                        topics:
                          type: array
                          items:
                            type: string
                            pattern: ^0x.*$
                            errorMessage: Must be a valid hex string starting with '0x'
                  status:
                    type: string
                    pattern: ^0x.*$
                    errorMessage: Must be a valid hex string starting with '0x'
                    description: 0x1 for success, 0x0 for failure
                  blockHash:
                    type: string
                    pattern: ^0x.*$
                    errorMessage: Must be a valid hex string starting with '0x'
                  blockNumber:
                    type: string
                    pattern: ^0x.*$
                    errorMessage: Must be a valid hex string starting with '0x'
                  gasUsed:
                    type: string
                    pattern: ^0x.*$
                    errorMessage: Must be a valid hex string starting with '0x'
                  transactionHash:
                    type: string
                    pattern: ^0x.*$
                    errorMessage: Must be a valid hex string starting with '0x'
examples:
  - name: wallet_getCrossChainStatus_v0 example
    params:
      - name: param0
        value: '0x010100066d00682d7e7c9fa6f71c28c31141a11ac9eb2bdbe898ddbd42a4f7085f8bb3380ba75dd9231a386e24fe5a84777217c907391e983b5b0f78a4a9d0fd1c8631dd22c00000000000000000000000000000000000000000000000000000000000a4b1000000000000000000000000000000000000000000000000000000000000000102a8073568c8fad3edf15f70c3471a7fff18e1d57c650a501ab47f57a5c1f0e39'
    result:
      name: Response
      value:
        type: cross-chain
        id: '0x010100066d00682d7e7c9fa6f71c28c31141a11ac9eb2bdbe898ddbd42a4f7085f8bb3380ba75dd9231a386e24fe5a84777217c907391e983b5b0f78a4a9d0fd1c8631dd22c00000000000000000000000000000000000000000000000000000000000a4b1000000000000000000000000000000000000000000000000000000000000000102a8073568c8fad3edf15f70c3471a7fff18e1d57c650a501ab47f57a5c1f0e39'
        status: 120
        originTransaction:
          chainId: '0xa4b1'
          status: 200
          receipt:
            status: '0x1'
            blockHash: '0x7c6f2f548c0ad4434dfb64f49a810bc795dadcd4cbec948bf8d4ae81a10fed5e'
            blockNumber: '0x8ba5f79'
            gasUsed: '0x33c65'
            transactionHash: '0x8ec28074a461102e4dbe43cb4aa9fed3e8c1274f1f1b0d5f6a0919ce7e20f517'
            logs: []
        destinationTransaction:
          chainId: '0x1'
          status: 100
```
